#!/bin/sh

# Inspired by Makefile.common from coolo
# this script is used to update the .po files

# To update the translations, you will need a specific gettext 
# patched for kde and a lot of patience, tenacity
# I guess one should only update when all .cpp files are generated

# I have not understood completely the update process,
# so if you have a better way to do it, do not keep that info 
# for yourself and help me to fix this script, thanks
# (tnagy 2 5 6 somewhereat yahoo d0tt fr)
#

KDEDIR=`kde-config --prefix`
EXTRACTRC=extractrc
#XGETTEXT="xgettext -C -ki18n -ktr2i18n -kI18N_NOOP -ktranslate -kaliasLocale -x ${includedir:-${KDEDIR:-/usr/local/kde}/include}/kde.pot"
XGETTEXT="xgettext -C -ki18n -ktr2i18n -kI18N_NOOP -ktranslate -kaliasLocale "

> rc.cpp

## extract the strings
echo "extracting the strings"

# process the .ui and .rc files
$EXTRACTRC `find ../src -iname *.rc` >> rc.cpp
$EXTRACTRC `find ../src -iname *.ui` >> rc.cpp
echo -e 'i18n("_: NAME OF TRANSLATORS\\n"\n"Your names")\ni18n("_: EMAIL OF TRANSLATORS\\n"\n"Your emails")' > ../src/_translatorinfo.cpp

# process the tips - ../src is supposed to be where the tips are living
pushd ../src/appdata; preparetips >tips.cpp; popd

$XGETTEXT `find ../src -name "*.cpp"` -o kdissert.pot

# remove the intermediate files
rm -f ../src/appdata/tips.cpp
rm -f rc.cpp
rm -f ../src/_translatorinfo.cpp

## now merge the .po files ..
echo "merging the .po files"

for i in `ls *.po`; do
    msgmerge $i kdissert.pot -o $i || exit 1
done

## finished
echo "Done"


